## ace-window 0.9.0

=== Makefile ===
emacs ?= emacs
CASK = ~/.cask/bin/cask

.PHONY: all clean

all: compile

cask:
	$(shell EMACS=$(emacs) $(CASK) --verbose --debug)

compile:
	$(CASK) exec $(emacs) -batch --eval "(byte-compile-file \"ace-window.el\")"

clean:
	rm -f *.elc

=== debian/changelog ===
ace-window (0.9.0-5) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 13:09:19 -0300

ace-window (0.9.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 24 Aug 2019 15:40:37 -0300

ace-window (0.9.0-3) unstable; urgency=medium

  * Rebuild against newer dh-elpa (Closes: #900691)
  * Migrate to dh 11
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Remove Testsuite field (there are no tests)
  * d/control: Clean dependencies (remove emacs and elpa-avy)
  * d/control: Enhance emacs25, not emacs24
  * d/control: Declare Standards-Version 4.1.4 (no changes needed)
  * d/control: Remove Built-Using field
  * d/copyright: Bump copyright years
  * d/rules: Do not pass --parallel to dh

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 03 Jun 2018 22:12:46 +0500

ace-window (0.9.0-2) unstable; urgency=low

  * Add watch file

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 13 Oct 2016 01:15:24 +0500

ace-window (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #839964)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 7 Oct 2016 02:03:29 +0500

=== debian/control ===
Source: ace-window
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa
Standards-Version: 4.1.4
Homepage: https://github.com/abo-abo/ace-window
Vcs-Browser: https://salsa.debian.org/emacsen-team/ace-window
Vcs-Git: https://salsa.debian.org/emacsen-team/ace-window.git

Package: elpa-ace-window
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: selecting a window to switch to
 The main function, `ace-window' is meant to replace `other-window'. In fact,
 when there are only two windows present, `other-window' is called.  If there
 are more, each window will have its first character highlighted.  Pressing
 that character will switch to that window.

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ace-window-$1.tar.gz%" \
             https://github.com/abo-abo/ace-window/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ace-window 0.10.0

=== Makefile ===
emacs ?= emacs

update:
	$(emacs) -batch -l test/make-update.el

compile: clean
	$(emacs) -batch -l test/elpa.el -l test/make-compile.el

plain:
	$(emacs) -Q -l test/elpa.el -l test/make-plain

clean:
	rm -f *.elc

.PHONY: update compile clean

=== debian/changelog ===
ace-window (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:33:49 +0900

ace-window (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 20:50:45 +0900

ace-window (0.10.0-1) unstable; urgency=medium

  [ David Krauser ]
  * d/control: Update maintainer email address

  [ Lev Lamberov ]
  * New upstream version 0.10.0
  * Drop patch to fix version number
  * Add patch to clean documentation
  * Migrate to dh 12 without d/compat
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Drop emacs25 from Enhances
  * d/control: Better format of Description
  * d/copyright: Update copyright years
  * d/rules: Drop unneeded overrides

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 12 Mar 2020 11:00:58 +0500

=== debian/control ===
Source: ace-window
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/abo-abo/ace-window
Vcs-Browser: https://salsa.debian.org/emacsen-team/ace-window
Vcs-Git: https://salsa.debian.org/emacsen-team/ace-window.git

Package: elpa-ace-window
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: selecting a window to switch to
 The main function, `ace-window' is meant to replace `other-window'.
 In fact, when there are only two windows present, `other-window' is
 called. If there are more, each window will have its first character
 highlighted. Pressing that character will switch to that window.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_elpa_test:
	@echo skipping upstream tests

.PHONY: override_dh_auto_build override_dh_elpa_test
